io.agora.rtc

## Class AgoraServiceConfig

- java.lang.Object
- - io.agora.rtc.AgoraServiceConfig

-     public class AgoraServiceConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `appId` The App ID of your project.
    `private int` | `areaCode` The supported area code, default is AREA_CODE_GLOB
    `private int` | `audioScenario` The audio scenario.
    `private int` | `channelProfile` The channel profile.
    `private java.lang.Object` | `context` The user context.
    `private int` | `domainLimit` Determines whether to enable domain limit.
    `private int` | `enableAudioDevice` Whether to enable the audio device module.
    `private int` | `enableAudioProcessor` Whether to enable the audio processing module.
    `private int` | `enableVideo` Whether to enable video.
    `private java.lang.String` | `logFilePath` The log file path, default is NULL for default log path
    `private int` | `logFileSize` The log file size, KB , set 2048KB to use default log size
    `private int` | `logFilters` The log level, set LOG_LEVEL_INFO to use default log level
    `private int` | `useStringUid` Whether to enable string user id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraServiceConfig()`
    `AgoraServiceConfig(int enableAudioProcessor, int enableAudioDevice, int enableVideo, java.lang.Object context, java.lang.String appId, int areaCode, int channelProfile, int audioScenario, int useStringUid, java.lang.String logFilePath, int logFileSize, int logFilters, int domainLimit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppId()`
    `int` | `getAreaCode()`
    `int` | `getAudioScenario()`
    `int` | `getChannelProfile()`
    `java.lang.Object` | `getContext()`
    `int` | `getDomainLimit()`
    `int` | `getEnableAudioDevice()`
    `int` | `getEnableAudioProcessor()`
    `int` | `getEnableVideo()`
    `java.lang.String` | `getLogFilePath()`
    `int` | `getLogFileSize()`
    `int` | `getLogFilters()`
    `int` | `getUseStringUid()`
    `void` | `setAppId(java.lang.String appId)`
    `void` | `setAreaCode(int areaCode)`
    `void` | `setAudioScenario(int audioScenario)`
    `void` | `setChannelProfile(int channelProfile)`
    `void` | `setContext(java.lang.Object context)`
    `void` | `setDomainLimit(int domainLimit)`
    `void` | `setEnableAudioDevice(int enableAudioDevice)`
    `void` | `setEnableAudioProcessor(int enableAudioProcessor)`
    `void` | `setEnableVideo(int enableVideo)`
    `void` | `setLogFilePath(java.lang.String logFilePath)`
    `void` | `setLogFileSize(int logFileSize)`
    `void` | `setLogFilters(int logFilters)`
    `void` | `setUseStringUid(int useStringUid)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### enableAudioProcessor

          private int enableAudioProcessor

      Whether to enable the audio processing module. - `1` : (Default)Enable the audio processing module. - `0`: Disable the audio processing module. If you disable the audio processing module, you cannot create audio tracks.

    - #### enableAudioDevice

          private int enableAudioDevice

      Whether to enable the audio device module. The function of the audio device module is to manage audio devices, such as recording and playing audio. - `1`: Enable the audio device module. Audio recording and playback is available. - `0`: (Default)Disable the audio device module. Audio recording and playback is unavailable. Important: If you set `enableAudioDevice` as `false` and set `enableAudioProcessor` as `true`, you cannot use audio devices, but you can push PCM audio data.

    - #### enableVideo

          private int enableVideo

      Whether to enable video. - `1`: Enable video. - `0`: (Default)Disable video.

    - #### context

          private java.lang.Object context

      The user context. - For Windows, it is the handle of the window that loads the video. Specify this value to support plugging or unplugging the video devices while the host is powered on. - For Android, it is the context of activity.

    - #### appId

          private java.lang.String appId

      The App ID of your project.

    - #### areaCode

          private int areaCode

      The supported area code, default is AREA_CODE_GLOB

    - #### channelProfile

          private int channelProfile

      The channel profile. For details, see \ref agora::CHANNEL_PROFILE_TYPE "CHANNEL_PROFILE_TYPE". The default channel profile is `CHANNEL_PROFILE_LIVE_BROADCASTING`.

    - #### audioScenario

          private int audioScenario

      The audio scenario. See \ref agora::rtc::AUDIO_SCENARIO_TYPE "AUDIO_SCENARIO_TYPE". The default value is `AUDIO_SCENARIO_CHORUS`.

    - #### useStringUid

          private int useStringUid

      Whether to enable string user id. - `1`: Enable string user id. - `0`: (Default) Disable string user id.

    - #### logFilePath

          private java.lang.String logFilePath

      The log file path, default is NULL for default log path

    - #### logFileSize

          private int logFileSize

      The log file size, KB , set 2048KB to use default log size

    - #### logFilters

          private int logFilters

      The log level, set LOG_LEVEL_INFO to use default log level

    - #### domainLimit

          private int domainLimit

      Determines whether to enable domain limit. - `1`: only connect to servers that already parsed by DNS - `0`: (Default) connect to servers with no limit

  - ### Constructor Detail

    - #### AgoraServiceConfig

          public AgoraServiceConfig()

    - #### AgoraServiceConfig

          public AgoraServiceConfig(int enableAudioProcessor,
                                    int enableAudioDevice,
                                    int enableVideo,
                                    java.lang.Object context,
                                    java.lang.String appId,
                                    int areaCode,
                                    int channelProfile,
                                    int audioScenario,
                                    int useStringUid,
                                    java.lang.String logFilePath,
                                    int logFileSize,
                                    int logFilters,
                                    int domainLimit)

  - ### Method Detail

    - #### getEnableAudioProcessor

          public int getEnableAudioProcessor()

    - #### setEnableAudioProcessor

          public void setEnableAudioProcessor(int enableAudioProcessor)

    - #### getEnableAudioDevice

          public int getEnableAudioDevice()

    - #### setEnableAudioDevice

          public void setEnableAudioDevice(int enableAudioDevice)

    - #### getEnableVideo

          public int getEnableVideo()

    - #### setEnableVideo

          public void setEnableVideo(int enableVideo)

    - #### getContext

          public java.lang.Object getContext()

    - #### setContext

          public void setContext(java.lang.Object context)

    - #### getAppId

          public java.lang.String getAppId()

    - #### setAppId

          public void setAppId(java.lang.String appId)

    - #### getAreaCode

          public int getAreaCode()

    - #### setAreaCode

          public void setAreaCode(int areaCode)

    - #### getChannelProfile

          public int getChannelProfile()

    - #### setChannelProfile

          public void setChannelProfile(int channelProfile)

    - #### getAudioScenario

          public int getAudioScenario()

    - #### setAudioScenario

          public void setAudioScenario(int audioScenario)

    - #### getUseStringUid

          public int getUseStringUid()

    - #### setUseStringUid

          public void setUseStringUid(int useStringUid)

    - #### getLogFilePath

          public java.lang.String getLogFilePath()

    - #### setLogFilePath

          public void setLogFilePath(java.lang.String logFilePath)

    - #### getLogFileSize

          public int getLogFileSize()

    - #### setLogFileSize

          public void setLogFileSize(int logFileSize)

    - #### getLogFilters

          public int getLogFilters()

    - #### setLogFilters

          public void setLogFilters(int logFilters)

    - #### getDomainLimit

          public int getDomainLimit()

    - #### setDomainLimit

          public void setDomainLimit(int domainLimit)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`